Jeffrey M. Wooldridge, "Simple Solutions to the Initial Conditions Problem
in Dynamic, Nonlinear Panel Data Models with Unobserved Effects", Journal of
Applied Econometrics, Vol. 20, No. 1, 2005, pp. 39-54.

I obtained these data from the JAE data archive.  They were used earlier in 
F. Vella and M. Verbeek, "Whose Wages Do Unions Raise?  A Dynamic Model of 
Unionism and Wage Rate Determination for Young Men," Journal of Applied 
Econometrics 13, 163-183.  I have dropped variables that I did not use, 
and I have added the needed leads and lags to implement the dynamic, 
unobserved effects probit model.

There are 545 cross-sectional observations in the file.  For each man, there
are eight years of data, 1980 through 1987.  The data are sorted first by nr
(person identifier) and then by year.  Each row contains 24 entries,
representing the data on the variables list below for a particular (i,t)
pair.

Two files are contained in jmw-data.zip: union.raw is a text file, and
union.dta is a Stata 7.0 file.


Variable Definitions:

nr                     person identifier
year                   1980 through 1987
black                  =1 if black
married                =1 if married
educ                   years of schooling
union                  =1 if in union
d81                    =1 if year == 1981
d82                    =1 if year == 1982
d83                    =1 if year == 1983
d84                    =1 if year == 1984
d85                    =1 if year == 1985
d86                    =1 if year == 1986
d87                    =1 if year == 1987
union80                union in 1980?
union_1                lagged union for year > 1980
marravg                time avg. of married
educu80                educ*union80
marr81                 married in 1981?
marr82                 married in 1982?
marr83                 married in 1983?
marr84                 married in 1984?
marr85                 married in 1985?
marr86                 married in 1986?
marr87                 married in 1987?

If you have questions, contact:

Jeffrey M. Wooldridge
Department of Economics
Michigan State University
East Lansing, MI 48824-1028
email: wooldri1@msu.edu
